Better announce new optional MT services available
Closed, ResolvedPublic

Description

Content Translation provides support for multiple translation strategies (starting from scratch, using the source text or choosing among the available Machine Translation services). As new translation services are added, users may not have visibility on the new options they have.

This is especially significant for those services added as non-default options (e.g., Apertium translation between Hindi and Urdu).

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 25 2016, 10:36 AM
Pginer-WMF added a subscriber: santhosh.EditedFeb 25 2016, 2:20 PM

I made an initial exploration, the design goals have been to:

  • Keep the information noticeable
  • Not being a blocker for editing (avoiding explicit interactions)

The proposed solution consists of:

  • Include a visual indicator to get the user attention
  • Include a message explaining the availability of new options (using the same color as the indicator).
  • When the user opens the selector, the new option is identified as such with the label "new" (in the same color used for the indicator)
  • Once the user has selected the new option, all the above clues are removed and they are never shown again to the same user during this or any other translation. Even if the user changes to different MT options.

I illustrated this below:



Amire80 moved this task from Backlog to CX8 on the ContentTranslation board.Mar 3 2016, 7:22 AM
Amire80 triaged this task as Normal priority.
santhosh claimed this task.Mar 3 2016, 10:34 AM
santhosh added a project: LE-CX8-Sprint 3.
santhosh moved this task from Backlog to In Progress on the LE-CX8-Sprint 3 board.

Change 274682 had a related patch set uploaded (by Santhosh):
WIP: Better announce new optional MT services available

https://gerrit.wikimedia.org/r/274682

Once the user has selected the new option, all the above clues are removed and they are never shown again to the same user during this or any other translation. Even if the user changes to different MT options.

This is not done in this commit(https://gerrit.wikimedia.org/r/274682). It require some ways to persisit the provider preference. To be done in different commit

Change 275365 had a related patch set uploaded (by Santhosh):
MT: Store the MT provider preference in localstorage

https://gerrit.wikimedia.org/r/275365

Arrbee moved this task from Backlog to In Review on the LE-CX8-Sprint 4 board.

Change 277195 had a related patch set uploaded (by KartikMistry):
Better announce new optional MT services available

https://gerrit.wikimedia.org/r/277195

Change 274682 merged by jenkins-bot:
Better announce new optional MT services available

https://gerrit.wikimedia.org/r/274682

Change 277195 merged by jenkins-bot:
Better announce new optional MT services available

https://gerrit.wikimedia.org/r/277195

Nikerabbit moved this task from In Review to QA on the LE-CX8-Sprint 4 board.Mar 15 2016, 6:56 AM
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 4 board.Mar 15 2016, 7:05 AM

Change 275365 merged by jenkins-bot:
MT: Store the MT provider preference in localstorage

https://gerrit.wikimedia.org/r/275365

KartikMistry closed this task as Resolved.Apr 20 2016, 9:25 AM